Load Balancer
Update Listener
patch
/loadbalancer/{lb_uuid}/listeners/{listener_uuid}Update a listener.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
lb_uuid*string
listener_uuid*string
Request body
Update a listener
application/jsonRequired
name?string | null
Range
1 ≤ length ≤ 100target_port?integer | null
Range
1 ≤ value ≤ 65535ssl_certificate_uuid?string | null
ssl_mode?string | null
Value in
"auto""custom""none"algorithm?LoadBalancerAlgorithm | null
Value in
"round_robin""least_connections"connection_timeout?integer | null
Range
1 ≤ value ≤ 300request_timeout?integer | null
Range
1 ≤ value ≤ 600sticky_sessions?boolean | null
sticky_cookie_name?string | null
Range
length ≤ 100sticky_ttl_seconds?integer | null
Range
60 ≤ value ≤ 86400enabled?boolean | null
Responses
Successful Response
application/json
detail*string
uuid*string